<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML FORMS</title>
</head>
<body> 
	<h2 align="center">
		Welcome to the Forms Page
	</h2>

	<!-- Semantic Tags    

	     Semantic Tags are new addition to HTML. Semantic Tags are also containers for elemet but unlike divs they are definitive of its content without relying to semantic id. However, en, stron, they are also semantic tag as they are used over <i></i><b></b>


	     Semantic Containers such as nav, main, section are more preferred by developers now because it aids in better Search Engine Optimization, as well developers themselves because each tag now clearly defines whgat is the content to be added. -->

	     <!-- Nav is a semantic container which contains navigation links. -->

	<nav>
		<a href="./index.html">Go To HTML Forms, Tables and Semantic HTML</a>

		<a href="./table.html">Go To HTML Tables</a>

		<a href="../activity/contact.html">Go To Contact Page</a>
	</nav>
	<!-- main is a semantic container used to show the main content of a page -->

	<main>
		<!-- Sections are used to show parts of a page -->
		<section>
			
			<h2>HTML Forms</h2>
		<p>
			HTML Forms are used to gather information or data from our user and send that information to a server
		</p>
		
		</section>

		<section>
			<!-- 

	 			form tag allows us to create a form. We can then gatehr data an user input in our form and submit it to a server.
				
				action attribute in a form will allow us to pass/submit the data to the server of the url that is given.

				label tag will allow us to create an element that serves as a label or indicator to the input. 

				add a "for" attribute to the label will allow us to associate the label element to a particular input element. for attribute is passed the id of the particular input element to associate it.

				input tag creates an input element to add user input. input tag can have many types to allow the addition of diffrerent kinds of data or information like text, numbers or dates.

				type attribute in input elements allows us to identify what kind of information is to be provided to the input. It also affects the behavior of the element to be appropriate to the type of data we want to gather.
				
				name attribute allows us to provide a name/ an identifier for the VALUE of the input element. It allow us to properly identify the value of an input in our form.

				id attribute not only provides a unique identifier for the element, it is also used by the label to associate with.

				required attribute allows us to check if the input has been filled and if not the form cannot be submitted

				autocomplete attribute provides suggestions for inputs and allows for better user experience.

				input type data change the behavior of an input element and only allows the input of dates.

				buttons are used to interact with our pages we can either have the button trigger an action, reset a form or submit the form. 

				type attribute to a button to indicate the action it will do. buttons in a form can submit the form. This is why we add a type attribute to differentiate the actions buttons can do in a form.

				input type number change the behavior of an input element and only allows the input of numbers

				min attribute to input type number sets the minimum number we can input.

				max attribute to input type number sets the maximum number we can input.

				select tag allows us to create a dropdown menu with choices

				option tag allows us to create the options/choices available for our select tag.

				value attribute to provide the value or data per option. This is done because options cannot be typed into and receive input.
				
				input type radio allows us to create a radio button and provide users a single choice of information to pass.

				input type checkbox will create a checkbox for multiple selections among multiple choices.
	 		 -->


			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name:</label>
				<br> <!-- br will break the line -->
				<input type="text" name="full name" id="fname" required="autocomplete">
				<br>
				<!-- birthdate -->
				<label for="bdate">Birthdate</label>
				<br>
				<input type="date" name="birthday" id="bdate" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age</label>
				<br>
				<input type="number" name="age" id="ageInpute" min="18" max="40" required>
				<br>
				<!-- gender -->
				<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput">
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<!-- radio -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new user" id="radioUser1" value="yes">
				<label for="radiouser1">Yes</label>
				<br>
				<input type="radio" name="new user" id="radioUser2" value="yes">
				<label for="radiouser2">No</label>
				<br>
				<!-- checkbox -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleinput1" value="developer">
				<label for="roleinput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleinput2" value="student">
				<label for="roleinput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleinput3" value="Manager">
				<label for="roleinput3">Manager</label>
				<br>
				<br>

				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>

		</section>
	
	</main>

</body>
</html>